# $Revision: 1.12 $, $Date: 2004/05/06 18:09:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
# 
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	PSID
Summary:	Audio::PSID Perl module - handle PlaySID files (Commodore C-64 music files)
Summary(pl):	Modu Perla Audio::PSID - obsuga plikw PlaySID (muzyki z Commodore C-64)
Name:		perl-Audio-PSID
Version:	2.02
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	cc2b5cf99af51a163c0beb1773193734
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is designed to handle PlaySID files (usually bearing a
.sid extension), which are music player and data routines converted
from the Commodore C-64 computer with an additional informational
header prepended.

%description -l pl
Ten modu suy do obsugi plikw PlaySID (zazwyczaj z rozszerzeniem
.sid), ktre s procedurami odtwarzacza i danymi przekonwertowanymi z
Commodore C-64 z doczonym nagwkiem informacyjnym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes PSID_v2NG.txt README
%{perl_vendorlib}/Audio/PSID.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-PSID.spec,v $
Revision 1.12  2004/05/06 18:09:15  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/27 07:11:03  ankry
- site -> vendor

Revision 1.10  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.9  2004/03/09 20:40:15  adamg
- new style bconds

Revision 1.8  2003/05/28 13:00:22  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.5  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:26:29  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/22 13:50:30  kloczek
- (auto)updated to 2.02.

Revision 1.1  2002/08/15 17:54:58  qboosh
- new

